# Janat's Planck Layout
- MIT Layout
- QWERTY and Colemak-DH with [Home Row Mods](https://precondition.github.io/home-row-mods)
- QWERTY w/o mods for muggles
- Lower + Uper + J/K/L: QWERTY/COLEMAK/NOMOD
- Left Shift: [Caps Word](https://docs.qmk.fm/#/feature_caps_word)
- Hold /: [Navigation Layer](#6-navigation-layer)
- Hold Z: [Mouse Layer](#7-mouse-layer)

## 1. QWERTY Layer - Qwerty with Home Row Mods
```
,-----------------------------------------------------------------------------------.
| Tab  |   Q  |   W  |   E  |   R  |   T  |   Y  |   U  |   I  |   O  |   P  |  BS  |
|------+------+------+------+------+------+------+------+------+------+------+------|
| ESC  |Ctl-A |Alt-S |GUI-D |Shft-F|   G  |   H  |Shft-J|GUI-K |Alt-L |Ctl-; |  "   |
|------+------+------+------+------+------+------+------+------+------+------+------|
|  CW  |MOU-Z |   X  |   C  |   V  |   B  |   N  |   M  |   ,  |   .  |NAV-/ |Enter |
|------+------+------+------+------+------+------+------+------+------+------+------|
| HYPER| Ctrl | Alt  | GUI  |Lower |    Space    |Raise | Left | Down |  Up  |Right |
`-----------------------------------------------------------------------------------'
```

## 2. COLEMAK Layer - Colemak-DH with Home Row Mods
```
,-----------------------------------------------------------------------------------.
| Tab  |   Q  |   W  |   F  |   P  |   B  |   J  |   L  |   U  |   Y  |   ;  |  BS  |
|------+------+------+------+------+------+------+------+------+------+------+------|
| ESC  |Ctl-A |Alt-R |GUI-S |Shft-T|   G  |   M  |Shft-N|GUI-E |Alt-I |Ctl-O |  "   |
|------+------+------+------+------+------+------+------+------+------+------+------|
|  CW  |MOU-Z |   X  |   C  |   D  |   V  |   K  |   H  |   ,  |   .  |NAV-/ |Enter |
|------+------+------+------+------+------+------+------+------+------+------+------|
| HYPER| Ctrl | Alt  | GUI  |Lower |    Space    |Raise | Left | Down |  Up  |Right |
`-----------------------------------------------------------------------------------'
```

## 3. NOMOD Layer - QWERTY without Home Row Mods
```
,-----------------------------------------------------------------------------------.
| Tab  |   Q  |   W  |   E  |   R  |   T  |   Y  |   U  |   I  |   O  |   P  |  BS  |
|------+------+------+------+------+------+------+------+------+------+------+------|
| ESC  |   A  |   S  |   D  |   F  |   G  |   H  |   J  |   K  |   L  |   ;  |  "   |
|------+------+------+------+------+------+------+------+------+------+------+------|
| Shift|   Z  |   X  |   C  |   V  |   B  |   N  |   M  |   ,  |   .  |   /  |Enter |
|------+------+------+------+------+------+------+------+------+------+------+------|
| HYPER| Ctrl | Alt  | GUI  |Lower |    Space    |Raise | Left | Down |  Up  |Right |
`-----------------------------------------------------------------------------------'
```

## 4. Lower Layer
```
,-----------------------------------------------------------------------------------.
|   ~  |   !  |   @  |   #  |   $  |   %  |   ^  |   &  |   *  |   (  |   )  |  BS  |
|------+------+------+------+------+------+------+------+------+------+------+------|
| Del  | F13  | F14  | F15  | F16  | F17  | F18  |   _  |   +  |   {  |   }  |  |   |
|------+------+------+------+------+------+------+------+------+------+------+------|
|      | F19  | F20  | F21  | F22  | F23  | F24  |ISO ~ |ISO | | Home | End  |      |
|------+------+------+------+------+------+------+------+------+------+------+------|
|      |      |      |      |      |             |Adjust| Prev | Vol- | Vol+ | Play |
`-----------------------------------------------------------------------------------'
```

## 5. Raise Layer
```
,-----------------------------------------------------------------------------------.
|   `  |   1  |   2  |   3  |   4  |   5  |   6  |   7  |   8  |   9  |   0  |  BS  |
|------+------+------+------+------+------+------+------+------+------+------+------|
| Del  |  F1  |  F2  |  F3  |  F4  |  F5  |  F6  |   -  |   =  |   [  |   ]  |  \   |
|------+------+------+------+------+------+------+------+------+------+------+------|
|      |  F7  |  F8  |  F9  | F10  | F11  | F12  |ISO # |ISO / |Pg Up |Pg Dn |      |
|------+------+------+------+------+------+------+------+------+------+------+------|
|      |      |      |      |Adjust|             |      | Next | Vol- | Vol+ | Play |
`-----------------------------------------------------------------------------------'
```
## 6. Navigation Layer
```
/-----------------------------------------------------------------------------------\
|      | Home | PgUp | PgDn | End  |      |  T1  |  T←  |  T→  |  T9  |      |      |
|------+------+------+------+------+-------------+------+------+------+------+------|
|      | Ctrl | Alt  | GUI  |Shift |      |  ←   |  ↓   |  ↑   |  →   | Del  |      |
|------+------+------+------+------+------|------+------+------+------+------+------|
|      |      |      |      |      |      |      |      |      |      |[Nav] |      |
|------+------+------+------+------+-------------+------+------+------+------+------|
|      |      |      |      |      |    Shift    |      |      |      |      |      |
\-----------------------------------------------------------------------------------/
```

## 7. Mouse Layer
```
/-----------------------------------------------------------------------------------\
|      |      |  S↓  |  M↑  |  S↑  |      |  S←  |  S↓  |  S↑  |  S→  |      |      |
|------+------+------+------+------+-------------+------+------+------+------+------|
|      |      |  M←  |  M↓  |  M→  |      |  M←  |  M↓  |  M↑  |  M→  |      |      |
|------+------+------+------+------+------|------+------+------+------+------+------|
|      |[Mou] |      |      |      |  M3  |  M3  |      |      |      |      |      |
|------+------+------+------+------+-------------+------+------+------+------+------|
|      |      |      |      |  M2  |  LeftClick  |  M2  |      |      |      |      |
\-----------------------------------------------------------------------------------/
```

## 8. Adjust Layer (Lower + Raise)
```
                     v------------------------RGB CONTROL--------------------v
,-----------------------------------------------------------------------------------.
| PWR  | Reset|Debug | RGB  |RGBMOD| HUE+ | HUE- | SAT+ | SAT- |BRGTH+|BRGTH-|  Del |
|------+------+------+------+------+------+------+------+------+------+------+------|
|      |      |MUSmod|Aud on|Audoff|AGnorm|AGswap|Qwerty|Colemk|NoMod |      |      |
|------+------+------+------+------+------+------+------+------+------+------+------|
|      |Voice-|Voice+|Mus on|Musoff|MIDIon|MIDIof|      |      |      |      |      |
|------+------+------+------+------+------+------+------+------+------+------+------|
|      |      |      |      |      |             |      |      |      |      |      |
`-----------------------------------------------------------------------------------'
```
